Skip to content
Start here

Get the current status of an interconnect object

client.networkInterconnects.interconnects.status(stringicon, InterconnectStatusParams { account_id } params, RequestOptionsoptions?): InterconnectStatusResponse
GET/accounts/{account_id}/cni/interconnects/{icon}/status

Get the current status of an interconnect object

Security
API Token

The preferred authorization scheme for interacting with the Cloudflare API. Create a token.

Example:Authorization: Bearer Sn3lZJTBX6kkg7OdcBUAxOO963GEIyGQqnFTOFYY
API Email + API Key

The previous authorization scheme for interacting with the Cloudflare API, used in conjunction with a Global API key.

Example:X-Auth-Email: user@example.com

The previous authorization scheme for interacting with the Cloudflare API. When possible, use API tokens instead of Global API keys.

Example:X-Auth-Key: 144c9defac04969c7bfad8efaa8ea194
Accepted Permissions (at least one required)
Magic WAN WriteMagic WAN ReadMagic Transit ReadMagic Transit Write
ParametersExpand Collapse
icon: string
params: InterconnectStatusParams { account_id }
account_id: string

Customer account tag

ReturnsExpand Collapse
InterconnectStatusResponse = Pending { state } | Down { state, reason } | Unhealthy { state, reason } | Healthy { state }
One of the following:
Pending { state }
state: "Pending"
Down { state, reason }
state: "Down"
reason?: string | null

Diagnostic information, if available

Unhealthy { state, reason }
state: "Unhealthy"
reason?: string | null

Diagnostic information, if available

Healthy { state }
state: "Healthy"

Get the current status of an interconnect object

import Cloudflare from 'cloudflare';

const client = new Cloudflare({
  apiToken: process.env['CLOUDFLARE_API_TOKEN'], // This is the default and can be omitted
});

const response = await client.networkInterconnects.interconnects.status('icon', {
  account_id: 'account_id',
});

console.log(response);
{
  "state": "Pending"
}
Returns Examples
{
  "state": "Pending"
}